Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.sequencer.java
Class ArrayTypeFieldMetadataSequencer

    java.lang.Object
      org.modeshape.sequencer.java.ArrayTypeFieldMetadataSequencer

    public class ArrayTypeFieldMetadataSequencer

extends Object

Sequencer for array types.

Constructor Summary
`ArrayTypeFieldMetadataSequencer()`

Method Summary
`static Path` | `createRootPath(PathFactory pathFactory, Path basePath)` the root path.
`static void` | `sequenceFieldMemberData(ArrayTypeFieldMetadata arrayTypeFieldMetadata, PathFactory pathFactory, NameFactory nameFactory, SequencerOutput output, Path path, int index)` Sequence member data of array type.
`static void` | `sequenceMethodFormalParam(SequencerOutput output, NameFactory nameFactory, PathFactory pathFactory, ArrayTypeFieldMetadata arrayTypeFieldMetadata, Path methodParamRootPath)` Sequence all formal parameters of a method.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArrayTypeFieldMetadataSequencer

    public ArrayTypeFieldMetadataSequencer()

Method Detail

### sequenceMethodFormalParam

    public static void sequenceMethodFormalParam(SequencerOutput output,
                                                 NameFactory nameFactory,
                                                 PathFactory pathFactory,
                                                 ArrayTypeFieldMetadata arrayTypeFieldMetadata,
                                                 Path methodParamRootPath)

  Sequence all formal parameters of a method.

  Parameters:
    `output` - - the `SequencerOutput`.
    `nameFactory` - - the `NameFactory`.
    `pathFactory` - - the `PathFactory`.
    `arrayTypeFieldMetadata` - - the meta data of a array type.
    `methodParamRootPath` - - Base path of the method declaration.

### createRootPath

    public static Path createRootPath(PathFactory pathFactory,
                                      Path basePath)

  the root path.

  Parameters:
    `pathFactory` - the path factory to use
    `basePath` - - the base path to use to build a root path.
  Returns:
    the root path, that is compose from other base path.

### sequenceFieldMemberData

    public static void sequenceFieldMemberData(ArrayTypeFieldMetadata arrayTypeFieldMetadata,
                                               PathFactory pathFactory,
                                               NameFactory nameFactory,
                                               SequencerOutput output,
                                               Path path,
                                               int index)

  Sequence member data of array type.

  Parameters:
    `arrayTypeFieldMetadata` -
    `pathFactory` -
    `nameFactory` -
    `output` -
    `path` -
    `index` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011 JBoss, a division of Red Hat. All Rights Reserved.